
From: Rich Walker <rw@shadow.org.uk>

Signed-off-by: Martin Waitz <tali@admingilde.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/kernel-doc |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

diff -puN scripts/kernel-doc~docbook-use-informalexample-for-examples scripts/kernel-doc
--- 25/scripts/kernel-doc~docbook-use-informalexample-for-examples	Wed Apr  6 16:22:10 2005
+++ 25-akpm/scripts/kernel-doc	Wed Apr  6 16:22:10 2005
@@ -553,15 +553,20 @@ sub output_section_xml(%) {
     # print out each section
     $lineprefix="   ";
     foreach $section (@{$args{'sectionlist'}}) {
-	print "<refsect1>\n <title>$section</title>\n <para>\n";
+	print "<refsect1>\n";
+	print "<title>$section</title>\n";
 	if ($section =~ m/EXAMPLE/i) {
-	    print "<example><para>\n";
+	    print "<informalexample><programlisting>\n";
+	} else {
+	    print "<para>\n";
 	}
 	output_highlight($args{'sections'}{$section});
 	if ($section =~ m/EXAMPLE/i) {
-	    print "</para></example>\n";
+	    print "</programlisting></informalexample>\n";
+	} else {
+	    print "</para>\n";
 	}
-	print " </para>\n</refsect1>\n";
+	print "</refsect1>\n";
     }
 }
 
_
